=== debian/changelog ===
clementine (1.2.0+dfsg-2build1) trusty; urgency=medium

  * No-change rebuild against libprotobuf8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 29 Jan 2014 12:23:58 +0000

clementine (1.2.0+dfsg-2) unstable; urgency=low

  * Fix FTBFS on kfreebsd system using a patch from Modestas Vainius.
    (Closes: #729239)

 -- Thomas Pierson <contact@thomaspierson.fr>  Mon, 18 Nov 2013 16:58:19 +0100

clementine (1.2.0+dfsg-1) unstable; urgency=low

  * New upstream release. (Closes: #726474)
  * Update debian/copyright and debian/README.Debian files.
  * Add build-depend on libqca2 because it is now a hard build-depend.
  * Add cmake option -DI_HATE_MY_USERS=ON in debian/rules to allow build of
    clementine using the system sqlite library. See README.Debian file for more
    information about that.
  * Refresh patch: remove-references-to-non-dfsg-files.patch.
  * Remove obsolete patches:
    - fix-deprecated-function-with-glib236.patch
    - fix-islaptop-check-on-kfreebsd.patch
  * Remove useless build-depends on libimobiledevice-dev, libusbmuxd-dev,
    libplist-dev because upstream drops support for iMobileDevice.
    (Closes: #726339, #728434)

 -- Thomas Pierson <contact@thomaspierson.fr>  Sun, 27 Oct 2013 21:44:36 +0100

clementine (1.1.1+dfsg-2) unstable; urgency=low

  * Upload to unstable. (Closes: #701260)
  * Merge changes from 1.0.1+dfsg-3 revision.
  * Set build-depend liblastfm-dev minimum version to version 1.0.3 in
    coordination with liblastfm1 transition in unstable.
  * Remove minimum version 2.0.1 requirement on libechonest-dev build-depend
    because this version is not already available in unstable.
  * Add a patch fixing kFreeBSD build issue:
    - debian/patches/fix-islaptop-check-on-kfreebsd.patch

 -- Thomas Pierson <contact@thomaspierson.fr>  Sat, 01 Jun 2013 12:21:00 +0200

clementine (1.0.1+dfsg-3) unstable; urgency=low

  * Fix FTBFS caused by a deprecated function in glib2.36 using
    an upstream patch. (Closes: #707542)
  * Remove deprecated DM-Upload-Allowed field in debian/control file.
  * Bump Standards-Version to 3.9.4.

 -- Thomas Pierson <contact@thomaspierson.fr>  Mon, 27 May 2013 20:31:24 +0200
