## clementine 1.2.3+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,23 +16,9 @@
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-uninitialized")
 endif ()
 
-set(CMAKE_REQUIRED_FLAGS "-std=c++0x")
-check_cxx_source_compiles(
-    "#include <unordered_map>
-     int main() {
-       std::unordered_map<int, int> m;
-       return 0;
-     }
-    "
-    USE_STD_UNORDERED_MAP)
-check_cxx_source_compiles(
-    "int main() {
-       [](){}();
-     }
-    "
-    HAVE_LAMBDAS)
-unset(CMAKE_REQUIRED_FLAGS)
-
+if (APPLE)
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --stdlib=libc++")
+endif ()
 
 if (UNIX AND NOT APPLE)
   set(LINUX 1)
@@ -273,7 +259,7 @@
 if(NOT HAVE_SPOTIFY_BLOB AND NOT QCA_FOUND)
   message(FATAL_ERROR "Either QCA must be available or the non-GPL Spotify "
           "code must be compiled in")
-elif(QCA_FOUND)
+elseif(QCA_FOUND)
   set(HAVE_SPOTIFY_DOWNLOADER ON)
 endif()
 
@@ -345,3 +331,6 @@
 
 # QtIoCompressor isn't patched, so we can use a system version if it's
 # available
+find_path(QTIOCOMPRESSOR_INCLUDE_DIRS qtiocompressor.h PATH_SUFFIXES QtSolutions)
+find_library(QTIOCOMPRESSOR_LIBRARIES QtSolutions_IOCompressor-2.3)
+if(NOT QTIOCOMPRESSOR_INCLUDE_DIRS OR NOT QTIOCOMPRESSOR_LIBRARIES)
