=== debian/changelog ===
clementine (1.2.3+dfsg-4) unstable; urgency=medium

  * Improve dh_clean rules to remove all generated files during the build.
    Thanks to Timothy Potter for the patch. (Closes: #790541)
  * Add a patch to fix FTBFS with Boost 1.58. Thanks to Robert Bruce Park for
    the patch. (Closes: #795144, #794673)

 -- Thomas Pierson <contact@thomaspierson.fr>  Thu, 13 Aug 2015 20:05:56 +0200

clementine (1.2.3+dfsg-3) unstable; urgency=low

  * Add a patch to fix GCC-5 FTBFS. Thanks to Timothy Potter for his help on
    this issue. (Closes: #777819)
  * Remove Lisandro Damián Nicanor Pérez Meyer from Uploaders at his request.
    (Closes: #780753)
  * Remove Artur Rona from Uploaders because he is no longer involved in
    maintaining this package for a long time.
  * Bump Standards-Version to 3.9.6.

 -- Thomas Pierson <contact@thomaspierson.fr>  Wed, 15 Jul 2015 23:47:19 +0200

clementine (1.2.3+dfsg-2) unstable; urgency=medium

  * Change my email address to the Debian one.
  * Backport no_namespaces_for_dbus_interfaces.patch (Closes: #758448).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 23 Aug 2014 20:22:01 -0300

clementine (1.2.3+dfsg-1) unstable; urgency=low

  * New upstream release. (Closes: #742163, #724615, #722471)
  * Update debian/watch file.
  * Bump Standards-Version to 3.9.5.
  * Bump debian/copyright standard version to 1.0.
  * Fix a misspelling issue in debian/copyright.

 -- Thomas Pierson <contact@thomaspierson.fr>  Sat, 12 Jul 2014 22:07:28 +0200
